.poll {
}

.poll__question {
  text-align: center;
}

.poll__options {
  display: flex;
  flex-direction: column;
  gap: 15px;
}

.poll__option {
}

.poll__button {
  position: relative;
  display: flex;
  padding: 14px 0;
  width: 100%;
  font-size: var(--buttonFontSize, 1rem);
  font-weight: var(--buttonFontWeight, 600);
  border-radius: var(--buttonBorderRadius, 5px);
  color: var(--buttonColour, inherit);
  border: 1px solid var(--buttonBorderColour, #d5d0db);
  background: var(--buttonBackgroundColour, #ffffff);
}

.poll__button:hover:not(:disabled) {
  color: var(--buttonHoverColour, inherit);
  border-color: var(--buttonHoverBorderColour, #8c4ef1);
  background: var(--buttonHoverBackgroundColour, #ffffff);
}

.poll__button--selected {
  color: var(--buttonSelectedColour, #ffffff);
  border-color: var(--buttonSelectedBorderColour, #d5d0db);
  background: var(--buttonSelectedBackgroundColour, #8d4ef1);
}

.poll__button > * {
  z-index: 5;
}

.poll__filler {
  z-index: 4;
  content: "";
  display: block;
  position: absolute;
  left: 0;
  bottom: 0;
  top: 0;
  width: 60%;
  background: var(--buttonFillerColour, #a1a5cc);
}

.poll__button--selected .poll__filler {
  background: var(--buttonSelectedFillerColour, #7842cd);
}

.poll__button:not(:disabled) {
  cursor: pointer;
}

.poll__text {
  flex: 1;
}

.poll__percent,
.poll__spacer {
  width: 60px;
}
